{

    "AbilityName": "Lucy_Wood_ShowandHide",

    "AbilityStacking": "Unique",

    



    "AbilityMixins": 

    [

        {

            "$type": "MoleMole.AttachStateWithModifierMixin",

            "ConfigList": [

                {

                    "AnimatorStateName": "SwitchIn_Normal",

                    "LayerIndex": 0,

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 1.0,

                    "ModifierNameList": 

                    [

                        "FadeInModifier",

                    ]

                },

                {

                    "AnimatorStateName": "SwitchIn_Attack_01",

                    "LayerIndex": 0,

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 1.0,

                    "ModifierNameList": 

                    [

                        "QTEFadeInModifier",

                    ]

                },

                {

                    "AnimatorStateName": "SwitchOut_Normal",

                    "LayerIndex": 0,

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 0.8,

                    "ModifierNameList": [

                        "FadeOutModifier",

                    ]

                },

            ]

        }

    ],



    

    "Modifiers":

    {

        "FadeInModifier":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "IgnoreTimeScale": false,

            "OnAdded":

            [

                {

                    "$type": "MoleMole.DitherFadeAction",

                    "DitherFadeType": "FadeIn",

                    "DitherFadeKey": "Default_Dither_Alpha_FadeIn",

                    "Duration": 1.0,

                    "Target" : "Self"

                },

                {

                	"$type" : "MoleMole.PopEntityVisibleWithTagAction",

                    "Tag" : "LucyWoodHide",

                }

            ],

        },

        "QTEFadeInModifier":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "IgnoreTimeScale": false,

            "OnAdded":

            [

                {

                    "$type": "MoleMole.DitherFadeAction",

                    "DitherFadeType": "FadeIn",

                    "DitherFadeKey": "Default_Dither_Alpha_FadeIn",

                    "Duration": 0.1,

                    "Target" : "Self"

                },

                {

                	"$type" : "MoleMole.PopEntityVisibleWithTagAction",

                    "Tag" : "LucyWoodHide",

                }

            ],

        },



        "FadeOutModifier":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "IgnoreTimeScale": false,

            "OnAdded":

            [

                {

                    "$type": "MoleMole.DitherFadeAction",

                    "DitherFadeType": "FadeOut",

                    "DitherFadeKey": "Default_Dither_Alpha_FadeOut",

                    "Duration": 1.0,

                    "Target" : "Self"

                },

            ],

            "OnRemoved":

            [

                {

                    "$type" : "MoleMole.PushEntityVisibleWithTagAction",

                    "Visible" : false,

                    "Tag" : "LucyWoodHide",

                }

            ]

        }



    }

}